libnvme(2)

NAME
struct nvme_zns_id_ns - Zoned Namespace Command Set Specific Identify Namespace Data Structure

SYNOPSIS
struct nvme_zns_id_ns {
__le16 zoc;
__le16 ozcs;
__le32 mar;
__le32 mor;
__le32 rrl;
__le32 frl;
__le32 rrl1;
__le32 rrl2;
__le32 rrl3;
__le32 frl1;
__le32 frl2;
__le32 frl3;
__le32 numzrwa;
__le16 zrwafg;
__le16 zrwasz;
__u8 zrwacap;
__u8 rsvd53[2763];
struct nvme_zns_lbafe lbafe[64];
__u8 vs[256];
};

Members

zoc Zone Operation Characteristics

ozcs
    Optional Zoned Command Support

mar Maximum Active Resources

mor Maximum Open Resources

rrl Reset Recommended Limit

frl Finish Recommended Limit

rrl1
    Reset Recommended Limit 1

rrl2
    Reset Recommended Limit 2

rrl3
    Reset Recommended Limit 3

frl1
    Finish Recommended Limit 1

frl2
    Finish Recommended Limit 2

frl3
    Finish Recommended Limit 3

numzrwa
    Number of ZRWA Resources

zrwafg
    ZRWA Flush Granularity

zrwasz
    ZRWA Size

zrwacap
    ZRWA Capability

rsvd53
    Reserved

lbafe
    LBA Format Extension

vs  Vendor Specific